HPE Greenlake For Block Storage REST APIs
HPE Greenlake For Block Storage REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/
- https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{childSnapshotId}/restore-options
- https://us1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{childSnapshotId}/restore-options
- https://jp1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{childSnapshotId}/restore-options
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{childSnapshotId}/restore-options
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/7CE751P312/snapshots/c7c4e6593f51d0b98f0e40d7e6df04fd/restore-options \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Success
UID of the snapshot. Filter
Example: "b7107a30-260a-41c1-a47f-e50770c414c9"
Conversion Type of Volume
Enum"CONVERSIONTYPE_THIN""CONVERSIONTYPE_DDS""CONVERSIONTYPE_V1"
items[].hiddenboolean or null
Flag to know if the Volume is hidden or not
A user friendly name to identify the storage system volume (resourceName).
Example: "Finance"
Indicates whether this snapshot acts as an alert snapshot for the base volume. Alert snapshot is generated when the OS detects a possible ransomware attack on the base volume (Applicable for the HPE Alletra Storage MP B10000 systems with version 10.5.0 OS and above).
Response
application/json
{ "count": 0, "offset": 0, "total": 0, "items": [ { … } ] }
Bodyapplication/json
Enum"PRIORITYTYPE_HIGH""PRIORITYTYPE_MED""PRIORITYTYPE_LOW"
- https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{parentSnapshotId}/snapshots/{childSnapshotId}/restore
- https://us1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{parentSnapshotId}/snapshots/{childSnapshotId}/restore
- https://jp1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{parentSnapshotId}/snapshots/{childSnapshotId}/restore
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/devtype4-storage-systems/{systemId}/snapshots/{parentSnapshotId}/snapshots/{childSnapshotId}/restore
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/7CE751P312/snapshots/b7c4e6593f51d0b98f0e40d7e6df04fd/snapshots/c7c4e6593f51d0b98f0e40d7e6df04fd/restore \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }